@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.pop-up-section {
  & {
    display: none;
    align-items: center;
    justify-content: center;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 9;
    right: 0;
    top: 0;
    background-color: rgb(241 241 241 / 88%);
  }

  .pop-up-block {
    & {
      display: flex;
      flex-wrap: wrap;
      align-content: center;
      text-align: center;
      justify-content: center;
      width: 600px;
      height: 300px;
      z-index: 4;
      padding: 50px 30px;
      border-radius: 13px;
      border: transparent;
      color: #fff;
      background-color: @bg_form;
      position: relative;
      font-family: @font_primary;

      @media (max-width: @screen_tablet) {
        width: 300px;
        height: 200px;
        padding: 30px 10px;
      }
    }

    .button.-close {
      & {
        color: #fff;
        padding: 0;
        margin: 10px;
        font-size: 28px;
        top: 0;
        right: 0;
        display: inline-block;
        width: 28px;
        position: absolute;
        height: 28px;

        @media (max-width: @screen_tablet) {
          font-size: 26px;
        }
      }

      &:before {
        content: 'x';
        position: absolute;
        top: 0;
        right: 0;
      }
    }

    .title {
      font-size: 36px;
      margin: 0;
      padding-bottom: 30px;

      @media (max-width: @screen_tablet) {
        font-size: 30px;
        padding-bottom: 20px;
      }
    }

    .text {
      margin: 0;
      font-size: 20px;

      @media (max-width: @screen_tablet) {
        font-size: 16px;
      }
    }
  }
}